Module tdlight.api
Package it.tdlight.jni

# Class TdApi.DeleteChatMessagesByDate

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.DeleteChatMessagesByDate

Enclosing class:
  TdApi

public static final class TdApi.DeleteChatMessagesByDate extends TdApi.Function<TdApi.Ok>
Deletes all messages between the specified dates in a chat. Supported only for private chats and basic groups. Messages sent in the last 30 seconds will not be deleted.

Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Chat identifier.
`static final int`
`CONSTRUCTOR`
`int`
`maxDate`
The maximum date of the messages to delete.
`int`
`minDate`
The minimum date of the messages to delete.
`boolean`
`revoke`
Pass true to try to delete chat messages for all users; private chats only.

## Constructor Summary

Constructors
Constructor
Description
`DeleteChatMessagesByDate()`
Deletes all messages between the specified dates in a chat.
`DeleteChatMessagesByDate(long chatId, int minDate, int maxDate, boolean revoke)`
Deletes all messages between the specified dates in a chat.
`DeleteChatMessagesByDate(DataInput input)`
Deletes all messages between the specified dates in a chat.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier.

### minDate

public int minDate
The minimum date of the messages to delete.

### maxDate

public int maxDate
The maximum date of the messages to delete.

### revoke

public boolean revoke
Pass true to try to delete chat messages for all users; private chats only.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### DeleteChatMessagesByDate

public DeleteChatMessagesByDate()
Deletes all messages between the specified dates in a chat. Supported only for private chats and basic groups. Messages sent in the last 30 seconds will not be deleted.

Returns `Ok`

### DeleteChatMessagesByDate

public DeleteChatMessagesByDate(long chatId, int minDate, int maxDate, boolean revoke)
Deletes all messages between the specified dates in a chat. Supported only for private chats and basic groups. Messages sent in the last 30 seconds will not be deleted.

Returns `Ok`

Parameters:
  `chatId` - long Chat identifier.
  `minDate` - int The minimum date of the messages to delete.
  `maxDate` - int The maximum date of the messages to delete.
  `revoke` - boolean Pass true to try to delete chat messages for all users; private chats only.

### DeleteChatMessagesByDate

public DeleteChatMessagesByDate(DataInput input) throws IOException
Deletes all messages between the specified dates in a chat. Supported only for private chats and basic groups. Messages sent in the last 30 seconds will not be deleted.

Returns `Ok`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`